Skip to main content
POST
Create text completion
This is a legacy endpoint. For most use cases, use Chat Completions instead.

Request Body

string
required
Model ID to use.
string | string[]
required
The prompt(s) to generate completions for.
integer
default:16
Maximum number of tokens to generate.
number
default:1
Sampling temperature between 0 and 2.
number
default:1
Nucleus sampling parameter.
string | string[]
Stop sequence(s).
string
Text to append after the completion.

Response

Example

Authorizations

Authorization
string
header
required

API key authentication. Pass your OpenModex API key as a Bearer token in the Authorization header: Authorization: Bearer omx_sk_...

Body

application/json

Request body for creating a text completion (legacy).

model
string
required

ID of the model to use.

prompt
required

The prompt(s) to generate completions for.

max_tokens
integer

The maximum number of tokens to generate.

temperature
number

Sampling temperature between 0 and 2.

top_p
number

Nucleus sampling parameter.

n
integer

How many completions to generate for each prompt.

stream
boolean
default:false

Whether to stream back partial progress via SSE.

stop

Up to 4 sequences where the API will stop generating further tokens.

frequency_penalty
number

Penalizes new tokens based on their existing frequency in the text.

presence_penalty
number

Penalizes new tokens based on whether they appear in the text so far.

logit_bias
object

Modify the likelihood of specified tokens appearing in the completion.

suffix
string

The suffix that comes after a completion of inserted text.

user
string

A unique identifier representing your end-user.

routing
object

Configuration for intelligent request routing.

Response

Text completion response.

Response from a text completion request.

id
string

A unique identifier for the completion.

object
enum<string>

The object type, always 'text_completion'.

Available options:
text_completion
created
integer

Unix timestamp (in seconds) of when the completion was created.

model
string

The model used for the completion.

choices
object[]

A list of completion choices.

usage
object

Token usage statistics for a completion request.

openmodex
object

OpenModex-specific metadata included in completion responses.